invalid default value for ‘last_execute‘

Установка, настройка, поддержка
Ответить
kirilldec
Сообщения: 3
Зарегистрирован: Вт ноя 27, 2018 9:26 am

invalid default value for ‘last_execute‘

Сообщение kirilldec » Пт ноя 30, 2018 9:19 am

Подключаюсь к mysql серверу:

mysql --default-character-set=utf8 -u root -p
Создаю пользователя и базу данных (где sqlpassword — свой пароль):
use mysql;
GRANT ALL ON abills.* TO `abills`@localhost IDENTIFIED BY "sqlpassword";
CREATE DATABASE abills DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
flush privileges;
quit

Импортируем данные mysql базы данных:
mysql --default-character-set=utf8 -u root -p -D abills < /usr/abills/db/abills.sql
и выдает ошибку
error 1067 (42000) at line 161 invalid default value for ‘last_execute‘
подскажите пожалуйста в чем причина, заранее спасибо.

~AsmodeuS~
Site Admin
Сообщения: 5686
Зарегистрирован: Пт янв 28, 2005 3:11 pm
Контактная информация:

Re: invalid default value for ‘last_execute‘

Сообщение ~AsmodeuS~ » Пт ноя 30, 2018 6:08 pm

добавте в начале дампа вот это

set sql_mode='NO_ENGINE_SUBSTITUTION';

kirilldec
Сообщения: 3
Зарегистрирован: Вт ноя 27, 2018 9:26 am

Re: invalid default value for ‘last_execute‘

Сообщение kirilldec » Пт ноя 30, 2018 8:57 pm

да это уже пробовал, все равно, есть еще какой способ ? и из-за чего может возникнуть устанавливал с нуля ubuntu 14.04.5 LTS server, и версия abills 0.78.30.

~AsmodeuS~
Site Admin
Сообщения: 5686
Зарегистрирован: Пт янв 28, 2005 3:11 pm
Контактная информация:

Re: invalid default value for ‘last_execute‘

Сообщение ~AsmodeuS~ » Сб дек 01, 2018 9:58 am

сделайте как написано выше или ставте автоинсталером

kirilldec
Сообщения: 3
Зарегистрирован: Вт ноя 27, 2018 9:26 am

Re: invalid default value for ‘last_execute‘

Сообщение kirilldec » Вт дек 04, 2018 9:11 am

все получилось спасибо.

Ответить